package serve

import (
	"net/http"

	"github.com/boltdb/bolt"
	"github.com/gorilla/mux"
)

func AttachmentHandler(w http.ResponseWriter, r *http.Request) {
    params := mux.Vars(r)
    key := params["key"]
    attachmentDb.View(func(tx *bolt.Tx) error {
        ba := tx.Bucket([]byte("attachments"))
        bt := tx.Bucket([]byte("attachments_types"))
        w.Header().Add("Content-Type", string(bt.Get([]byte(key))))
        w.Write(ba.Get([]byte(key)))
        return nil
	})
}

func ServeAttachments() {
    r := mux.NewRouter()
    r.HandleFunc("/{key}", AttachmentHandler)
    http.Handle("/", r)
    http.ListenAndServe("127.0.0.1:8000", r)
}
